List RBAC resources for given account
curl --request GET \
--url https://api.prd.rad.security/accounts/{account_id}/resources/rbacimport requests
url = "https://api.prd.rad.security/accounts/{account_id}/resources/rbac"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prd.rad.security/accounts/{account_id}/resources/rbac', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"kind": "<string>",
"name": "<string>",
"namespace": "<string>",
"uid": "<string>",
"account_id": "<string>",
"cluster_id": "<string>",
"created_at": "<string>",
"id": "<string>",
"updated_at": "<string>"
}
],
"page": 123,
"page_count": 123,
"page_size": 123,
"total_count": 123
}{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}RBAC
List RBAC resources for given account
List RBAC resources for given account.
GET
/
accounts
/
{account_id}
/
resources
/
rbac
List RBAC resources for given account
Path Parameters
Account id
Query Parameters
Cluster id
List of RBAC kinds separated by comma. If not provided, all kinds will be returned
Namespace
Search the resource name
Sort by field. Example: sort=title:asc
Page number starting from 1
Page size. Default: 50
⌘I